Subject: Re: How do I get the file contents from an arbitrary revision to stdout?

From: Jeff King <[email-masked]>
Date: Fri, 8 Oct 2021 19:01:06 -0400

On Fri, Oct 08, 2021 at 02:54:51PM -0700, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> >   git cat-file -p bar-branch:foo.c
> >
> > (the "-p" is "pretty-print based on the object's type", so the two are
> > equivalent).
> 
> IIRC, "cat-file -p" doesn't do textconv, but "show" would, and
> depending on the use case the difference may matter.

Sorry, I should have been more clear. I meant that the two cat-file
invocations are equivalent (using "blob" versus "-p").

I agree that for human consumption, "show" is preferable.

-Peff